GET V1/Users.{ext}/ValidateResetPasswordToken?tokenId={tokenId}

This API is used to verify the given Token.
Mandatory Fields : tokenId

Request Information

URI Parameters

NameDescriptionTypeAdditional information
tokenId

Indicates tokenId(Ex:-uGsbuEAvVKYwI/0rRVz2GSMHw9/CLVze3JBQjzVHgWU=)

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

returns action result

EMSResponseOfEMS.Security.Entities.ResetPasswordToken
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Security.Entities.ResetPasswordToken

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ResetPasswordToken",
  "response": {
    "token": "sample string 1",
    "loginId": "sample string 2",
    "emailId": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.